from subprocess import Popen, PIPE
import os

user = os.getlogin()
image = f"/home/{user}/safe/debian.qcow2"


initialize = [
        "qemu-system-x86_64",
        "-enable-kvm",
        "-m", "2G", # ram allocation
        "-nic", "user,hostfwd=tcp::5555-:22", #forward port 5555 in host to port 22 in vm
        "-drive", "file=%s,media=disk,if=virtio" % image,

#        "-nographic",
#        "-serial", "mon:stdio",

        "-vga", "virtio", # i think this fixes resolution but idk yet
        "-display", "sdl",
]

#Popen(["cp", "/home/chopper/safe/debian.qcow2", f"/home/{user}/nnnnndebian.qcow2"]) #copy the base image to a directory with everyones virtual machines.
Popen(initialize)

